:root {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  --gray: #868686;
  --light-gray: #cccccc;
  --orange: #daa520;
  --green: #006400;
  --white: #fff;
  --black: #000
}

body {
  font-family: 'Courier New', Courier, monospace;
  width: 100vw;
  padding-top: 20px;
  text-align: center;
}

hr {
  width: 590px;
  margin-bottom: 10px;
}

.title {
  font-size: 56px;
}

.wordle {
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  max-width: 320px;
  width: 100%;
  row-gap: 10px;
  column-gap: 5px;
  margin: 10px auto;
}

.info-bar {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 40px;
}

.wordle-box {
  font-size: 48px;
  font-weight: bold;
  text-align: center;
  height: 50px;
  border: 5px solid var(--light-gray);
  text-transform: uppercase;
}

.status {
  font-size: 48px;
  font-weight: bold;
}

.row {
  font-size: 48px;
}

.wrong {
  background-color: var(--gray);
  color: var(--white);
}

.close {
  background-color: var(--orange);
  color: var(--white);
}

.right {
  background-color: var(--green);
  color: var(--white);
}

.invalid {
  animation: flash 1s;
}

@keyframes flash {
  5% {
    border-color: crimson;
  }
  100% {
    border-color: #ccc;
  }
}

.spiral {
  font-size: 40px;
  animation: spin 1.5s linear infinite;
}

@keyframes spin {
  to {
    transform: rotate(360deg);
  }
}
